#include "cg5700.h"

USE LF_NDITTE
JOIN LF_ANAG TO LF_NDITTE INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN LF_ANAGFIS TO LF_ANAG ALIAS 18 INTO CODANAGR=CODANAGR
JOIN LF_ANAGGIU TO LF_ANAG INTO CODANAGR=CODANAGR
END

DESCRIPTION
BEGIN
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  7->* "Anagrafica persone giuridiche"
END

GENERAL
BEGIN
  OFFSET 0 0
END

SECTION BODY ODD 50

STRINGA 1 40
BEGIN
 KEY "Titolo"
 PROMPT 30 1 "@BDICHIARAZIONE IVA PERIODICA"
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  65 1 "Data "
 MESSAGE _TODAY
END

NUMERO FF_CODDITTA 6
BEGIN
 KEY "Codice ditta"
 PROMPT 2 3 "Ditta "
 FIELD LF_NDITTE->CODDITTA
 //PICTURE "@@@@@"
END

STRINGA FF_RAGSOC 50
BEGIN
 KEY "Ragione sociale"
 PROMPT 18 3 ""
 FIELD LF_NDITTE->RAGSOC
END

STRINGA 3 
BEGIN
 KEY "Codice fiscale - descrizione"
 PROMPT 2 4 "Codice fiscale:"
END

STRINGA FF_COFI
BEGIN
 KEY "Codice fiscale - valore"
 PROMPT 18 4 ""
 FIELD LF_ANAG->COFI
END

STRINGA 4 
BEGIN
 KEY "Partita IVA - descrizione"
 PROMPT 2 5 "Partita IVA: "
END

STRINGA FF_PAIVA 
BEGIN
 KEY "Partita IVA - valore"
 PROMPT 18 5 ""
 FIELD LF_ANAG->PAIV
END

NUMERO FF_YEAR 6
BEGIN
  KEY "Anno"
  PROMPT 2 6 "Anno: "
END

LISTA FF_MONTHS 15
BEGIN
 KEY "Mesi"
 PROMPT 18 6 "Periodo: "
 ITEM "1|Gennaio"
 ITEM "2|Febbraio"
 ITEM "3|Marzo"
 ITEM "4|Aprile"
 ITEM "5|Maggio"
 ITEM "6|Giugno"
 ITEM "7|Luglio"
 ITEM "8|Agosto"
 ITEM "9|Settembre"
 ITEM "10|Ottobre"
 ITEM "11|Novembre"
 ITEM "12|Dicembre"
END

LISTA FF_TRIMS 15
BEGIN
 KEY "Trimestri"
 PROMPT 18 6 "Periodo: "
 ITEM "3|1 Trimestre"
 ITEM "6|2 Trimestre"
 ITEM "9|3 Trimestre"
 ITEM "12|4 Trimestre"
END

STRING FF_CODVAL 3
BEGIN
 KEY "Codice valuta"
 PROMPT 60 4 ""
 FLAGS "H"
END

STRINGA 5
BEGIN
 KEY "VP1 - Descrizione"
 PROMPT 2 10 "VP1  - Operazioni attive (al netto dell'IVA)"
END

VALUTA FF_VP1 18
BEGIN
 KEY "VP1 - Valore"
 PROMPT 60 10 ""
 DRIVENBY FF_CODVAL
END

STRINGA 6
BEGIN
 KEY "VP1A - Descrizione"
 PROMPT 2 11 "VP1A -         di cui cessioni intracomunitarie"
END

VALUTA FF_VP1A 18
BEGIN
 KEY "VP1A - Valore"
 PROMPT 60 11 ""
 DRIVENBY FF_CODVAL
END

STRINGA 7
BEGIN
 KEY "VP2 - Descrizione"
 PROMPT 2 12 "VP2  - Operazioni passive (al netto dell'IVA)"
END

VALUTA FF_VP2 18
BEGIN
 KEY "VP2 - Valore"
 PROMPT 60 12 ""
 DRIVENBY FF_CODVAL
END

STRINGA 8
BEGIN
 KEY "VP2A - Descrizione"
 PROMPT 2 13 "VP2A -         di cui acquisti intracomunitari"
END

VALUTA FF_VP2A 18
BEGIN
 KEY "VP2A - Valore"
 PROMPT 60 13 ""
 DRIVENBY FF_CODVAL
END

STRINGA 8
BEGIN
 KEY "VP3  - Descrizione"
 PROMPT 2 14 "VP3  - Importazioni di oro e argento senza IVA alla dogana"
END

VALUTA FF_VP3 18
BEGIN
 KEY "VP3 - Valore"
 PROMPT 60 14 ""
 DRIVENBY FF_CODVAL
END

STRINGA 8
BEGIN
 KEY "VP3I - Descrizione"
 PROMPT 2 15 "                                                   Imposta"
END

VALUTA FF_VP3I 18
BEGIN
 KEY "VP3 - Imposta"
 PROMPT 60 15 ""
 DRIVENBY FF_CODVAL
END

STRINGA 9
BEGIN
 KEY "VP5 - Descrizione"
 PROMPT 2 16 "VP5  - IVA esigibile per il periodo "
END

VALUTA FF_VP5 18
BEGIN
 KEY "VP5 - Valore"
 PROMPT 60 16 ""
 DRIVENBY FF_CODVAL
END

STRINGA 10
BEGIN
 KEY "VP6 - Descrizione"
 PROMPT 2 17 "VP6  - IVA che si detrae per il periodo"
END

VALUTA FF_VP6 18
BEGIN
 KEY "VP6 - Valore"
 PROMPT 60 17 ""
 DRIVENBY FF_CODVAL
END

STRINGA 11
BEGIN
 KEY "VP7 - Descrizione"
 PROMPT 2 18 "VP7  - IVA a debito o credito per il periodo"
END

VALUTA FF_VP7 18
BEGIN
 KEY "VP7 - Valore"
 PROMPT 60 18 ""
 DRIVENBY FF_CODVAL
END

STRINGA 12
BEGIN
 KEY "VP8 - Descrizione"
 PROMPT 2 19 "VP8  - Variazioni d'imposta periodi precedenti"
END

VALUTA FF_VP8 18
BEGIN
 KEY "VP8 - Valore"
 PROMPT 60 19 ""
 DRIVENBY FF_CODVAL
END

STRINGA 13
BEGIN
 KEY "VP9 - Descrizione"
 PROMPT 2 20 "VP9  - Iva non versata da dichiarazioni precedenti"
END

VALUTA FF_VP9 18
BEGIN
 KEY "VP9 - Valore"
 PROMPT 60 20 ""
 DRIVENBY FF_CODVAL
END

STRINGA 14
BEGIN
 KEY "VP10 - Descrizione"
 PROMPT 2 21 "VP10 - Debito o credito dal periodo precedente"
END

VALUTA FF_VP10 18
BEGIN
 KEY "VP10 - Valore"
 PROMPT 60 21 ""
 DRIVENBY FF_CODVAL
END

STRINGA 15
BEGIN
 KEY "VP11 - Descrizione"
 PROMPT 2 22 "VP11 - Credito IVA compensabile"
END

VALUTA FF_VP11 18
BEGIN
 KEY "VP11 - Valore"
 PROMPT 60 22 ""
 DRIVENBY FF_CODVAL
END

STRINGA 15
BEGIN
 KEY "VP12 - Descrizione"
 PROMPT 2 23 "VP12 - IVA dovuta o a credito per il periodo"
END

VALUTA FF_VP12 18
BEGIN
 KEY "VP12 - Valore"
 PROMPT 60 23 ""
 DRIVENBY FF_CODVAL
END

STRINGA 15
BEGIN
 KEY "VP13 - Descrizione"
 PROMPT 2 24 "VP13 - Crediti speciali d'imposta detratti"
END

VALUTA FF_VP13 18
BEGIN
 KEY "VP13 - Valore"
 PROMPT 60 24 ""
 DRIVENBY FF_CODVAL
END

STRINGA 15
BEGIN
 KEY "VP14 - Descrizione"
 PROMPT 2 25 "VP14 - Interessi dovuti per liquidazioni trimestrali"
END

VALUTA FF_VP14 18
BEGIN
 KEY "VP14 - Valore"
 PROMPT 60 25 ""
 DRIVENBY FF_CODVAL
END

STRINGA 15
BEGIN
 KEY "VP15 - Descrizione"
 PROMPT 2 26 "VP15 - Acconto versato"
END

VALUTA FF_VP15 18
BEGIN
 KEY "VP15 - Valore"
 PROMPT 60 26 ""
 DRIVENBY FF_CODVAL
END

STRINGA 15
BEGIN
 KEY "VP16 - Descrizione"
 PROMPT 2 27 "VP16 - Importo da versare"
END

VALUTA FF_VP16 18
BEGIN
 KEY "VP16 - Valore"
 PROMPT 60 27 ""
 DRIVENBY FF_CODVAL
END

STRINGA 30
BEGIN
 KEY "VP17 - Descrizione"
 PROMPT 2 29 "VP17 - Estremi del versamento"
END

LISTA FF_VP17_STAMPATO
BEGIN
  KEY "Stampato"
  PROMPT 0 0 ""
  FLAGS "H"
  ITEM " | " MESSAGE HIDE,GF_VP12@
  ITEM "X| " MESSAGE SHOW,GF_VP12@
END

VALUTA FF_VP17_IMPORTO 18
BEGIN
  KEY "Importo"
  PROMPT 2 30 "Importo versato "
  DRIVENBY FF_CODVAL
  GROUP GF_VP17
END

DATA FF_VP17_DATA
BEGIN
  KEY "Data versamento"
  PROMPT 40 30 "Data versamento "
  GROUP GF_VP17
END

STRINGA FF_VP17_CONCESSIONE 17
BEGIN
 KEY "Cod. Concessione"
 PROMPT 2 31 "Cod. Concessione "
 GROUP GF_VP17
END

STRINGA FF_VP17_ABI 10
BEGIN
 KEY "Cod. ABI"
 PROMPT 40 31 "Cod. ABI "
 GROUP GF_VP17
END

STRINGA FF_VP17_CAB 10
BEGIN
 KEY "Cod. CAB"
 PROMPT 40 32 "Cod. CAB "
 GROUP GF_VP17
END
 
END

END
