#include "mr2200.h"
#include "mr2200a.h"

class TOrdAcq_mask : public TPlanning_mask
{
public:
  virtual bool is_acq_planning() { return TRUE;}
  TOrdAcq_mask();
  virtual ~TOrdAcq_mask() { }
};

TOrdAcq_mask::TOrdAcq_mask()
         : TPlanning_mask("mr2400a")
{
//  init();
}

class TOrdAcq_app : public TPlanning_app
{
protected:
  virtual TPlanning_mask& mask() {return *_m;}
  virtual bool create();
};

bool TOrdAcq_app::create()
{
  if (TSkeleton_application::create())
  {
    openfiles();
    _m =  new TOrdAcq_mask();
    _m->field(F_MSCHEDULEPLAN).set(" ");
    _m->disable_page(4);
//  Li facciamo gestire    
//    _m->sfield(F_ARTICOLI).delete_column(F_CODIMP-FIRST_FIELD);
//    _m->sfield(F_ARTICOLI).delete_column(F_CODLIN-FIRST_FIELD);  
//    _m->set(F_NOIMP_IN,"X");
//    _m->hide(F_NOIMP_IN);
//    _m->set(F_NOLIN_IN,"X");
//    _m->hide(F_NOLIN_IN);

    
    return TRUE;
  }
  return FALSE;
}

int mr2400(int argc, char* argv[])
{
  TOrdAcq_app a;
  a.run(argc, argv, "Pianificazione ordini acquisto");
  return 0;
}
