#include <applicat.h>
#include <mask.h>
#include <isam.h>

#define G_PREINST 1
int bainst00(int argc, char** argv);
int bainst07(int argc, char** argv);
int bainst11(int argc, char** argv);
int bainst17(int argc, char** argv);
int bainst18(int argc, char** argv);
int bainst31(int argc, char** argv);
int bainst32(int argc, char** argv);
int bainst35(int argc, char** argv);
int bainst34(int argc, char** argv);
int bainst38(int argc, char** argv);
int bainst39(int argc, char** argv);

// classe provvisoria per i system file temporanei, ovvero file temporanei con
// caricamento/scaricamento
class TSystemtempfile : public TIsamtempfile
{                  
public:
//bool getlcf(  long flev);  // @parm livello archivi di partenza della convesione
     
  int load(const char* from, char fs = '|', char fd = '\0', char rs = '\n', bool vis = TRUE, bool extended = FALSE) ;

  int dump(const char* to, int nkey = 1, char fs = '|', char fd = '\0', char rs = '\n', bool vis = TRUE, bool withdeleted = FALSE);
    
  TSystemtempfile(int logicnum) :
    TIsamtempfile(logicnum,NULL) {}
};

    


class TStd_filename : public TFilename
{
public:
  bool check(bool verbose=FALSE,const char * name=NULL);
  ~TStd_filename () {}
  TStd_filename () : TFilename(){}
  TStd_filename (const char * n) : TFilename(n){}
};

class TInstallmodule_app: public TSkeleton_application
{ 
  bool _is_first_inst ,  _test_database ;

protected:
  TMask * _m ;
  TString _modcode,_modname;

protected:
  void set_tab_app(const char * appname);
  bool test_database() {return _test_database;}
  const char * module_name() const {return _modname;}
  const char * module_code() const {return _modcode;}

  virtual bool load_default_data() const { return TRUE;}
  virtual bool modal() const {return TRUE;}
  virtual int module_number() const pure;
  virtual bool preload_mask();
  virtual bool post_installer() {return TRUE;}
  virtual bool some_to_load();

  virtual bool install_com() ; // setta i dati comuni
  virtual bool install_firm() ; // setta i dati ditta

  virtual void main_loop() ;
  virtual bool create();
  virtual bool destroy();
public:
  void run(int argc, char* argv[]);
};