#include <applicat.h>
#include <config.h>
#include <isam.h>
#include <mask.h>
#include <tabutil.h>
#include <utility.h>

#include "bainst.h"
#include "bainst32.h"

class TInstall_MG : public TInstallmodule_app
{
  TMask * _m;
protected:
  virtual bool load_default_data() const ;
  virtual int module_number() const {return 32;}
  virtual bool post_installer();
 
public:
  virtual ~TInstall_MG () {}
};

bool TInstall_MG::post_installer()
{
	set_tab_app("mg0 -0");
	return TRUE;
}
bool TInstall_MG::load_default_data() const
{        
  TTable cau("%CAU");
  const bool empty = cau.first() != NOERR;
  
  return empty;
}

int bainst32(int argc, char** argv)
{ 
  TInstall_MG app;
  app.run(argc, argv);
  return 0;
}