#include <confapp.h>
#include <tabutil.h>
#include "ce0400a.h"

class CE0_App : public TConfig_application
{
  char _current;
protected:
  virtual bool user_create();
  //virtual bool preprocess_config (TMask& mask, TConfig& config);
public:
  CE0_App() : TConfig_application(CONFIG_DITTA) {}
  virtual ~CE0_App() {}
};

bool CE0_App::user_create( )
{                         
  const char* param = argv(2);
  _current = param ? toupper(*param) : 'P';  //prendi terzo argomento, primo carattere, fallo maiuscolo; (se vuoto mettilo = P)
  TConfig conf(CONFIG_DITTA, "ce"); // si posiziona sul paragrafo "ce" dei parametri ditta
  switch( _current )
  {
  case 'C':
    conf.set( "EdMask", "ce0400b");
    break;
  default:
    conf.set( "EdMask", "ce0400a");
    break;
  }
  return TRUE;
}

int ce0400 (int argc, char* argv[])
{
  CE0_App appc;
  appc.run(argc, argv, "Parametri Ditta");
  return 0;
}